aboutsummaryrefslogtreecommitdiffstats
path: root/main/lua-openrc/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-02-02 11:00:47 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-02-02 11:00:47 +0000
commitedb06dc6656b27a846ced3e82b57f5d4643b9e4e (patch)
tree85065455fe4401ce5c6aa8cc4ab54c45ab98f94d /main/lua-openrc/APKBUILD
parent51c99070d4efac633614b5842bd2e6c92e5a6215 (diff)
downloadaports-edb06dc6656b27a846ced3e82b57f5d4643b9e4e.tar.gz
aports-edb06dc6656b27a846ced3e82b57f5d4643b9e4e.tar.bz2
aports-edb06dc6656b27a846ced3e82b57f5d4643b9e4e.tar.xz
main/lua-openrc: moved from testing
Diffstat (limited to 'main/lua-openrc/APKBUILD')
-rw-r--r--main/lua-openrc/APKBUILD32
1 files changed, 32 insertions, 0 deletions
diff --git a/main/lua-openrc/APKBUILD b/main/lua-openrc/APKBUILD
new file mode 100644
index 0000000000..56578c4002
--- /dev/null
+++ b/main/lua-openrc/APKBUILD
@@ -0,0 +1,32 @@
+# Contributor:
+# Maintainer:
+pkgname=lua-openrc
+pkgver=0.1
+pkgrel=0
+pkgdesc="Lua module for OpenRC"
+url="http://git.alpinelinux.org/cgit/lua-openrc/"
+license="GPL"
+depends=lua
+makedepends="lua-dev openrc-dev"
+install=
+subpackages=
+source="http://git.alpinelinux.org/cgit/lua-openrc/snapshot/lua-openrc-$pkgver.tar.bz2"
+
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+ cd "$_builddir"
+}
+
+build() {
+ cd "$_builddir"
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ install -Dm755 rc.so "$pkgdir"/usr/lib/lua/5.1/rc.so
+}
+
+md5sums="9a9ace6b5567179852b1ee04196a0ec3 lua-openrc-0.1.tar.bz2"